Introduction

FileRestore

Copyright © 2001
Winternals Software LP
www.winternals.com

FileRestore recovers deleted files from your FAT, FAT32 and NTFS volumes. FileRestore recovers files that have emptied from your Recycle Bin as well as files that may have bypassed the Recycle Bin because they were deleted from the Command Prompt, a networked application, while uninstalling, etc.

Requirements

FileRestore runs on Windows 95/98/Me and Windows NT 4.0/2000/XP. FileRestore recovers files from local drives only; in order to recover files on a network drive the application must be run on the file server. Because FileRestore provides access to all deleted files on a system, regardless of which user they originally belonged to, you must have Administrator privilege in order to run it.

Licensing

FileRestore is licensed by seat. One license permits the user to install and run the software on one machine. For additional information on licensing see the license agreement included with the software or contact sales@winternals.com.


Installation

FileRestore works best if it is installed on a system before the file(s) that must be recovered have been deleted. This reduces the possibility that data will be overwritten during the installation process. If you purchased FileRestore after the file(s) were deleted you can install FileRestore on a second system and then copy the executable (FileRestore.exe) to a floppy disk, from which you can run it on the target system. (You will be required to re-enter your licensing information the first time you run the program on the target system.)


License Information

You must have a valid license key issued by Winternals Software LP (or your reseller) in order to run FileRestore. Your license key will be requested the first time you run FileRestore on a system.

Type or paste your license key into the text box, or use the Browse button to locate and open the file containing the information.


Using FileRestore

FileRestore looks and behaves much like the file search feature built into Windows, except that instead of searching for regular files it searches for deleted files:

To locate all deleted files on a selected drive press the Search Now button without entering any search parameters. You may narrow the search by requesting to see only files that meet your specifications. Note that FileRestore supports the use of multiple wildcard characters in the search parameters.

Once you have located the deleted file(s) you wish to recover, simply highlight the files of interest and select Copy To Folder… from the menu bar, or click the corresponding tool bar button. You will be prompted to select a folder to which the deleted file(s) will be copied.

Notes

  • FileRestore attempts to determine whether each deleted file is intact and reports the result in the Condition column. If a file is labeled Good it means that none of the data in the file is known to be overwritten by other files. However, this is only an estimate of the file’s condition, and it is possible that even a file marked Good will contain corrupt data. In general, the longer a file is deleted the less likely it can be recovered. In general the longer the time since a file has been deleted the less likely that it can be recovered.

  • When recovering files from a FAT or FAT32 volume the first letter of the file name cannot always be retrieved. When this occurs the first letter is replaced by the question mark character (‘?’) when displayed, and an underscore (‘_’) when file is copied to a new location.

  • Unlike similar products FileRestore always searches the entire disk for deleted files, even when you specify that a file is contained in a particular directory. Performing a full search is more time consuming, but guarantees that every file possible will be located.

  • If a file is found but it cannot be determined which directory it belongs to (usually because the parent directory is also deleted) then it is placed in a directory labeled “<orphan>”. It is possible for there to be multiple orphan directories, each corresponding to a different directory that no longer exists.


FAQ

FileRestore FAQ

Why does FileRestore appear to scan the entire disk even though I specified to look in a particular directory?

FileRestore scans the entire directory structure to assure that every possible file will be located- even if the structure has changed since the deletion.

How can I restore files from a formatted partition, a corrupted drive, or a system that fails to boot?

Try Disk Commander from Winternals Software.


Technical support

If you encounter a problem while running FileRestore, determine if the problem is reproducible, and if so how. Please have the following information available when you contact Winternals technical support:

  • The version of FileRestore you are running, including

  • Operating system on which you are running FileRestore.

  • The actions that lead to the problem.

  • Your FileRestore license number.

You can contact us in one of several ways:

Phone 512-330-9861
Fax 512-330-9131
e-mail support@winternals.com